Search documentation of phoenix_kit

# PhoenixKitWeb.Components.OAuthButtons (phoenix_kit v1.6.19)

View Source

OAuth authentication buttons component for Google and Apple Sign-In.

This component automatically checks if OAuth is available and configured. If OAuth is not available (dependencies not installed or not enabled in settings), the buttons will not be rendered.

# Summary

## Functions

oauth_buttons(assigns)

Renders OAuth provider buttons for authentication.

# Functions

# oauth_buttons(assigns)

Renders OAuth provider buttons for authentication.

This component only renders buttons if:

- OAuth is enabled in settings (oauth_enabled = true)
- Ueberauth library is loaded
- At least one provider is configured

## Examples

    <.oauth_buttons />
    <.oauth_buttons show_divider={false} />
    <.oauth_buttons class="mt-6" />

## Attributes

- `class` (`:string`) - Defaults to `""`.
- `show_divider` (`:boolean`) - Defaults to `true`.